import { Response } from 'node-fetch';
import { Access, Payment, PaymentMethods, User } from './types';
export declare class Venmo {
    private static base;
    deviceId: string;
    access: Access | undefined;
    constructor(deviceId?: string);
    private _fetch;
    login: (phoneEmailUsername: string, password: string, headers?: any) => Promise<Response | void>;
    logout: () => Promise<void>;
    twoFactorToken: (otpSecret: string) => Promise<Response>;
    easyLogin: (phoneEmailUsername: string, password: string, otpCallback?: () => Promise<string>) => Promise<Access | void>;
    request: (method: string, path: string, body?: any) => Promise<Response>;
    private requestJson;
    userQuery: (query: string, limit?: number, offset?: number) => Promise<User[]>;
    pay: (userId: string, amount: number, note?: any, audience?: 'private' | 'public') => Promise<Payment>;
    getMyProfile: () => Promise<User>;
    getUserProfile: (userId: string) => Promise<User>;
    getUserFriendList: (userId: string, limit?: number) => Promise<User[]>;
    getUserTransactions: (userId: string) => Promise<User[]>;
    getPaymentMethods: () => Promise<PaymentMethods>;
    getTransaction: (transactionId: string) => Promise<User[]>;
}
